Name:           python-smbpasswd
Version:        1.0.1
Release:        %mkrel 2
Summary:        Python SMB Password Hash Generator Module
Group:          Development/Python
License:        GPLv2
URL:            http://barryp.org/software/py-smbpasswd
Source0:        http://barryp.org/software/py-smbpasswd/files/py-smbpasswd-%{version}.tar.gz
BuildRequires:	python-devel

%description
This package contains a python module, which is able to generate LANMAN and
NT password hashes suiteable to us with Samba.

%files
%{py_platsitedir}/smbpasswd.so
%{py_platsitedir}/*egg-info
%doc COPYING README.txt

#--------------------------------------------------------------------

%prep
%setup -q -n py-smbpasswd-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" 
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 379540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 neoclust <neoclust> 1.0.1-1.mga3
+ Revision: 301049
- imported package python-smbpasswd

